-------------------------------------------------------------------------------
-- ElvUI Chat Tweaks By Lockslap (US, Bleeding Hollow)
-- <Borderline Amazing>, http://ba-guild.com
-- Based on functionality provided by Prat and/or Chatter
-------------------------------------------------------------------------------
local Module	= ElvUI_ChatTweaks:NewModule("XP Gains", "AceConsole-3.0")
local L			= ElvUI_ChatTweaks.L
Module.name		= L["XP Gains"]

local matches	= {
	COMBATLOG_XPGAIN_EXHAUSTION1:gsub("%%s", "(.+)"):gsub("%%d", "(%%d+)"),
	COMBATLOG_XPGAIN_EXHAUSTION1_GROUP:gsub("%%s", "(.+)"):gsub("%%d", "(%%d+)"),
	COMBATLOG_XPGAIN_EXHAUSTION1_RAID:gsub("%%s", "(.+)"):gsub("%%d", "(%%d+"),
	COMBATLOG_XPGAIN_FIRSTPERSON:gsub("%%s", "(.+)"):gsub("%%d", "(%%d+)"),
	COMBATLOG_XPGAIN_FIRSTPERSON_GROUP:gsub("%%s", "(.+)"):gsub("%%d", "(%%d+)"),
	COMBATLOG_XPGAIN_FIRSTPERSON_RAID:gsub("%%s", "(.+)"):gsub("%%d", "(%%d+)"),
	COMBATLOG_XPGAIN_FIRSTPERSON_UNNAMED:gsub("%%s", "(.+)"):gsub("%%d", "(%%d+)"),
	COMBATLOG_XPGAIN_FIRSTPERSON_UNNAMED_GROUP:gsub("%%s", "(.+)"):gsub("%%d", "(%%d+)"),
	COMBATLOG_XPGAIN_FIRSTPERSON_UNNAMED_RAID:gsub("%%s", "(.+)"):gsub("%%d", "(%%d+)"),
	COMBATLOG_XPGAIN_QUEST:gsub("%%s", "(.+)"):gsub("%%d", "(%%d+)"),
}

function Module:OnInitialize()
	Module.debug = ElvUI_ChatTweaks.db.profile.debugging
end

function Module:Info()
	return L["Add more information to the XP gain messages."]
end	